Skip to content

Get pricelist prices

GET
/v1/api/pricelist/{id}/prices

Authorizations

x-webhook-signature
Type
API Key (header: x-webhook-signature)

Parameters

Path Parameters

id*

Pricelist ID

Type
number
Required

Query Parameters

page

Page number to retrieve.If you provide invalid value the default page number will applied


Example: 1



Default Value: 1

Type
number
limit

Number of records per page.


Example: 20



Default Value: 20



Max Value: 100

  If provided value is greater than max value, max value will be applied.
Type
number
sortBy

Parameter to sort by.

To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting



Format: fieldName:DIRECTION



Example: sortBy=id:DESC&sortBy=createdAt:ASC



Default Value: No default sorting specified, the result order is not guaranteed


Available Fields

  • id

Type
array
select

List of fields to select.


Example: *,priceList.id,product.id,product.code



Default Value: By default all fields returns. If you want to select only some fields, provide them in query param

Type
string

Responses

application/json
JSON
{
  
"data": [
  
  
{
  
  
}
  
],
  
"meta": {
  
  
"itemsPerPage": 0,
  
  
"totalItems": 0,
  
  
"currentPage": 0,
  
  
"totalPages": 0,
  
  
"sortBy": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"searchBy": [
  
  
  
"string"
  
  
],
  
  
"search": "string",
  
  
"select": [
  
  
  
"string"
  
  
],
  
  
"filter": {
  
  
}
  
},
  
"links": {
  
  
"first": "string",
  
  
"previous": "string",
  
  
"current": "string",
  
  
"next": "string",
  
  
"last": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI